Package org.eclipse.emf.cdo.expressions

# Interface Value

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `Expression`, `Notifier`

All Known Subinterfaces:
  `BooleanValue`, `ByteValue`, `CharValue`, `DoubleValue`, `FloatValue`, `IntValue`, `LongValue`, `ShortValue`, `StringValue`

All Known Implementing Classes:
  `BooleanValueImpl`, `ByteValueImpl`, `CharValueImpl`, `DoubleValueImpl`, `FloatValueImpl`, `IntValueImpl`, `LongValueImpl`, `ShortValueImpl`, `StringValueImpl`, `ValueImpl`

public interface Value extends Expression
A representation of the model object 'Primitive Value'.

See Also:
  - `ExpressionsPackage.getValue()`
Generated
Model
  abstract="true"

## Method Summary

Modifier and Type
Method
Description
`Object`
`getLiteral()`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

`evaluate`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLiteral

Object getLiteral()

Generated
Model
  kind="operation"